QGIS Application - Bug report #11920

Scale inconsistently changes when adjusting map extent

2014-12-29 05:07 AM - Harry Clarke

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 20129

Description

Within Print Composer, SCALE changes when changing XMIN or YMIN for a map, which makes it difficult to accurately draw a map.
Changing SCALE alters XMIN, XMAX, YMIN and YMAX. Behaviour is inconsistent, as changing YMIN or YMAX does not effect SCALE.

To reproduce the problem, change XMAX either by changing the Item Properties of the map, or by dragging the boundary of the map.
The parameters XMIN, XMAX, YMIN, YMAX, SCALE and the size parameters WDITH and HEIGHT are all entrancingly linked. What is

required is the ability to fix some of the parameters, such as XMIN, YMIN and SCALE and let the other parameters adjust accordingly.
Ideally the user should be allowed to choose which parameters to fix and which to allow to float.

History

#1 - 2015-01-01 05:44 AM - Lene Fischer
- File scale2.PNG added

| have the same problem.

2 maps in the same size no problem - Change one of the maps and scale change too.

Map 0 is in 1:5000 Map 1 1:5000 (same size) Map 2 1:5100 (Smaller XMIN, XMAX, YMIN and YMAX) | have to change scale from 1:5000 to 1:5100 to fit.
Se attached file

Regards

Lene Fischer

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-08-10 11:44 AM - Harry Clarke

This issue is still present in QGIS v3.2.1

#4 - 2018-08-12 02:37 PM - Giovanni Manghi

- Affected QGIS version changed from 2.6.1 to 3.2.1

- Description updated

Files

scale2.PNG 328 KB 2015-01-01 Lene Fischer
